// Copyright (C) 2013 - Michael Baudin
// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

mu = [1.5 3.5];
sigma = [0.5 2.5];
exact = nisp_productsa ( mu , sigma );
expected.expectation = 5.25;
expected.var = 18.6875;
expected.S = [0.1638796 0.7525084]';
expected.ST = [0.2474916 0.8361204]';
assert_checkalmostequal ( exact.expectation , expected.expectation , 1.e-5 );
assert_checkalmostequal ( exact.var , expected.var , 1.e-5 );
assert_checkalmostequal ( exact.S , expected.S , 1.e-5 );
assert_checkalmostequal ( exact.ST , expected.ST , 1.e-5 );

